[Gpg4win-commits] r1303 - in trunk: . patches patches/scute-1.3.0

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Sun Oct 11 01:19:51 CEST 2009


Author: marcus
Date: 2009-10-11 01:19:49 +0200 (Sun, 11 Oct 2009)
New Revision: 1303

Added:
   trunk/patches/scute-1.3.0/
   trunk/patches/scute-1.3.0/01-wsastartup.patch
Modified:
   trunk/ChangeLog
   trunk/Makefile.am
Log:
2009-10-08  Marcus Brinkmann  <marcus at g10code.com>

        * Makefile.am (EXTRA_DIST): Add
        patches/scute-1.3.0/01-wsastartup.patch.



Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2009-10-05 15:34:11 UTC (rev 1302)
+++ trunk/ChangeLog	2009-10-10 23:19:49 UTC (rev 1303)
@@ -1,3 +1,8 @@
+2009-10-08  Marcus Brinkmann  <marcus at g10code.com>
+
+	* Makefile.am (EXTRA_DIST): Add
+	patches/scute-1.3.0/01-wsastartup.patch.
+
 2009-10-05  Marcus Brinkmann  <marcus at g10code.com>
 
 	* src/inst-sections.nsi (calc_defaults_man_advanced_en_done):

Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	2009-10-05 15:34:11 UTC (rev 1302)
+++ trunk/Makefile.am	2009-10-10 23:19:49 UTC (rev 1303)
@@ -59,7 +59,8 @@
 	patches/gpgol-0.9.91/01-gpgme.patch \
         patches/gpa-0.9.0/01-title-prop.patch \
 	patches/libetpan-0.57/01-gnutls_compat.patch \
-        patches/scute-1.2.0/01-bugfixes.patch
+        patches/scute-1.2.0/01-bugfixes.patch \
+        patches/scute-1.3.0/01-wsastartup.patch
 
 copy-news:
 	cp NEWS doc/website/NEWS.last

Added: trunk/patches/scute-1.3.0/01-wsastartup.patch
===================================================================
--- trunk/patches/scute-1.3.0/01-wsastartup.patch	2009-10-05 15:34:11 UTC (rev 1302)
+++ trunk/patches/scute-1.3.0/01-wsastartup.patch	2009-10-10 23:19:49 UTC (rev 1303)
@@ -0,0 +1,59 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+
+Index: src/p11-finalize.c
+===================================================================
+--- src/p11-finalize.c	(revision 98)
++++ src/p11-finalize.c	(working copy)
+@@ -30,6 +30,10 @@
+ #if HAVE_CONFIG_H
+ #include <config.h>
+ #endif
++#ifdef HAVE_W32_SYSTEM
++#define __USE_W32_SOCKETS 1
++#include <windows.h>
++#endif
+ 
+ #include "cryptoki.h"
+ 
+@@ -50,5 +54,9 @@
+   scute_agent_finalize ();
+   scute_locking_finalize ();
+ 
++#ifdef HAVE_W32_SYSTEM
++  WSACleanup ();
++#endif
++
+   return CKR_OK;
+ }
+Index: src/p11-initialize.c
+===================================================================
+--- src/p11-initialize.c	(revision 98)
++++ src/p11-initialize.c	(working copy)
+@@ -33,6 +33,11 @@
+ 
+ #include <stdbool.h>
+ 
++#ifdef HAVE_W32_SYSTEM
++#define __USE_W32_SOCKETS 1
++#include <windows.h>
++#endif
++
+ #include <assuan.h>
+ #include <gpg-error.h>
+ 
+@@ -49,6 +54,11 @@
+ CK_DEFINE_FUNCTION(CK_RV, C_Initialize) (CK_VOID_PTR pInitArgs)
+ {
+   CK_RV err;
++  WSADATA wsadat;
++	
++#ifdef HAVE_W32_SYSTEM
++  WSAStartup (0x202, &wsadat);
++#endif
+ 
+   /* This is one of the few functions which do not need to take the
+      global lock.  */
+


Property changes on: trunk/patches/scute-1.3.0/01-wsastartup.patch
___________________________________________________________________
Name: svn:executable
   + *



More information about the Gpg4win-commits mailing list